%define name iproute2
%define version 2.2.4
%define release 2mdk

Summary: Advanced IP routing tools
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group:  Networking/Other
Source: %{name}-%{version}.tar.bz2
#Patch: iproute-cflags.patch
Packager: Damien Miller <damien@ibs.com.au>
BuildRoot: /var/tmp/iproute2

%description
This package contains the "ip", "tc" and "rtmon" tools. These tools can
be used to configure the advanced routing features of the 2.2 Linux kernel
such as policy routing, fast NAT and packet scheduling.

%prep

%setup -n iproute2
#%patch -p1 -b .cflags

%build
make OPTS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/iproute2
install -m 755 ip/ip $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtmon $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtacct $RPM_BUILD_ROOT/sbin
install -m 755 tc/tc $RPM_BUILD_ROOT/sbin
install -m 644 etc/iproute2/rt_protos $RPM_BUILD_ROOT/etc/iproute2
install -m 644 etc/iproute2/rt_realms $RPM_BUILD_ROOT/etc/iproute2
install -m 644 etc/iproute2/rt_scopes $RPM_BUILD_ROOT/etc/iproute2
install -m 644 etc/iproute2/rt_tables $RPM_BUILD_ROOT/etc/iproute2

%files
%defattr (-,root,root)
/sbin/*
%dir /etc/iproute2
%config /etc/iproute2/rt_protos
%config /etc/iproute2/rt_realms
%config /etc/iproute2/rt_scopes
%config /etc/iproute2/rt_tables
%doc README README.iproute2+tc RELNOTES 

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
